Index: /trunk/lib/PageNumbers.inc.php
===================================================================
--- /trunk/lib/PageNumbers.inc.php	(revision 467)
+++ /trunk/lib/PageNumbers.inc.php	(revision 468)
@@ -4,5 +4,5 @@
  * For details visit the project site: <http://trac.strangecode.com/codebase/>
  * Copyright 2001-2012 Strangecode, LLC
- * 
+ *
  * This file is part of The Strangecode Codebase.
  *
@@ -11,10 +11,10 @@
  * Free Software Foundation, either version 3 of the License, or (at your option)
  * any later version.
- * 
+ *
  * The Strangecode Codebase is distributed in the hope that it will be useful, but
  * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
  * FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
  * details.
- * 
+ *
  * You should have received a copy of the GNU General Public License along with
  * The Strangecode Codebase. If not, see <http://www.gnu.org/licenses/>.
@@ -39,33 +39,33 @@
 class PageNumbers {
 
-    var $total_items;       // Total quantity of items.
-    var $total_pages;       // The total number of pages.
-    var $current_page = 1;  // Current page number.
-    var $first_item;        // The counter for the first item on this page (zero index).
-    var $last_item;         // The counter for the last item on this page (zero index).
-    var $max_num_links = 9; // The max number of links to show on page (odd numbers look best).
-    var $_num_links;        // The number of links to show on page.
-    var $_per_page = 25;    // Items per page.
+    public $total_items;       // Total quantity of items.
+    public $total_pages;       // The total number of pages.
+    public $current_page = 1;  // Current page number.
+    public $first_item;        // The counter for the first item on this page (zero index).
+    public $last_item;         // The counter for the last item on this page (zero index).
+    public $max_num_links = 9; // The max number of links to show on page (odd numbers look best).
+    private $_num_links;        // The number of links to show on page.
+    private $_per_page = 25;    // Items per page.
 
     // Flags to ensure all necessary values have been set before calling calculate().
-    var $set_per_page_initialized = false;
-    var $set_page_number_initialized = false;
-    var $set_total_items_initialized = false;
+    public $set_per_page_initialized = false;
+    public $set_page_number_initialized = false;
+    public $set_total_items_initialized = false;
 
     // These are initialized in the constructor.
-    var $per_page_options;
-    var $left_arrow;
-    var $left_arrow_disabled;
-    var $left_dbl_arrow;
-    var $left_dbl_arrow_disabled;
-    var $right_arrow;
-    var $right_arrow_disabled;
-    var $right_dbl_arrow;
-    var $right_dbl_arrow_disabled;
+    public $per_page_options;
+    public $left_arrow;
+    public $left_arrow_disabled;
+    public $left_dbl_arrow;
+    public $left_dbl_arrow_disabled;
+    public $right_arrow;
+    public $right_arrow_disabled;
+    public $right_dbl_arrow;
+    public $right_dbl_arrow_disabled;
 
     /**
      * PageNumbers constructor. All arguments are depreciated. Use set* functions instead.
      */
-    function PageNumbers()
+    public function __construct()
     {
         // Default options for the quantity per page links.
@@ -85,5 +85,5 @@
         // in special cases like using a /my/page/# scheme.
         $this->url_base = $_SERVER['PHP_SELF'] . '?page_number=';
-        
+
         $this->prefs = new Prefs($_SERVER['PHP_SELF']);
         $this->prefs->setParam(array('persistent' => false));
@@ -93,5 +93,5 @@
      * Set the number of items per page.
      */
-    function setPerPage($per_page, $default=25, $save_value=true)
+    public function setPerPage($per_page, $default=25, $save_value=true)
     {
     	// (1) By provided argument, if valid.
@@ -115,5 +115,5 @@
      * Set the current page number.
      */
-    function setPageNumber($page_number, $save_value=true)
+    public function setPageNumber($page_number, $save_value=true)
     {
         // (1) By provided argument, if valid.
@@ -139,5 +139,5 @@
      * Set the total number of items.
      */
-    function setTotalItems($total_items)
+    public function setTotalItems($total_items)
     {
         if (is_numeric($total_items) && $total_items > 0) {
@@ -158,5 +158,5 @@
      * @access public
      */
-    function calculate()
+    public function calculate()
     {
 		$app =& App::getInstance();
@@ -212,5 +212,5 @@
      * Returns the SQL code to limit query to items that are on current page.
      */
-    function getLimitSQL()
+    public function getLimitSQL()
     {
 		$app =& App::getInstance();
@@ -230,5 +230,5 @@
      * @access public
      */
-    function printPerPageLinks($query_key='per_page')
+    public function printPerPageLinks($query_key='per_page')
     {
 		$app =& App::getInstance();
@@ -260,5 +260,5 @@
      * @access public
      */
-    function getPageNumURL($page_number, $carry_args=null)
+    public function getPageNumURL($page_number, $carry_args=null)
     {
 		$app =& App::getInstance();
@@ -266,5 +266,5 @@
         return $app->oHREF($this->url_base . $page_number, $carry_args);
     }
-    function printPageNumURL($page_number, $carry_args=null)
+    public function printPageNumURL($page_number, $carry_args=null)
     {
         echo $this->getPageNumURL($page_number, $carry_args);
@@ -276,5 +276,5 @@
      * @access public
      */
-    function getPageNumbersArray($carry_args=null)
+    public function getPageNumbersArray($carry_args=null)
     {
         $page_numbers = array();
@@ -296,5 +296,5 @@
      * @access public
      */
-    function getPageNumbers($carry_args=null)
+    public function getPageNumbers($carry_args=null)
     {
         $page_numbers_string = '';
@@ -361,5 +361,5 @@
     }
 
-    function printPageNumbers($carry_args=null)
+    public function printPageNumbers($carry_args=null)
     {
         echo $this->getPageNumbers($carry_args);
@@ -368,3 +368,2 @@
 }
 
-?>
Index: /trunk/lib/PageSequence.inc.php
===================================================================
--- /trunk/lib/PageSequence.inc.php	(revision 467)
+++ /trunk/lib/PageSequence.inc.php	(revision 468)
@@ -35,9 +35,9 @@
 class PageSequence
 {
-    var $current_step_id = 0;
-    var $start_url;
-    var $sequence_title = '';
-    var $seq = '_sequence_';
-    var $idle_timeout;
+    public $current_step_id = 0;
+    public $start_url;
+    public $sequence_title = '';
+    public $seq = '_sequence_';
+    public $idle_timeout;
 
     /**
@@ -47,5 +47,5 @@
      * @access public
      */
-    function PageSequence($params)
+    public function __construct($params)
     {
         if (isset($params['sequence_title'])) {
@@ -84,5 +84,5 @@
      * @access public
      */
-    function addStep($step_id, $params)
+    public function addStep($step_id, $params)
     {
         // Keys for the steps array cannot be numeric.
@@ -114,5 +114,5 @@
      * @return bool true on success, false on failure
      */
-    function setFeature($step_id=null, $features)
+    public function setFeature($step_id=null, $features)
     {
         $pos = isset($step_id) ? $this->getPosition($step_id) : $this->getPosition();
@@ -134,5 +134,5 @@
      * @return mixed          Value stored in session.
      */
-    function getFeature($step_id, $key, $default='')
+    public function getFeature($step_id, $key, $default='')
     {
         $pos = isset($step_id) ? $this->getPosition($step_id) : $this->getPosition();
@@ -151,5 +151,5 @@
      * @access public
      */
-    function setCurrent($step_id)
+    public function setCurrent($step_id)
     {
 		$app =& App::getInstance();
@@ -171,5 +171,5 @@
      * @access public
      */
-    function getID($pos=null)
+    public function getID($pos=null)
     {
         if (isset($pos)) {
@@ -188,5 +188,5 @@
      * @access public
      */
-    function getPosition($step_id=null)
+    public function getPosition($step_id=null)
     {
         // Get current step id if step not provided.
@@ -217,5 +217,5 @@
      * @access public
      */
-    function getRequiredID($curr_step_id)
+    public function getRequiredID($curr_step_id)
     {
         if ('' === $curr_step_id) {
@@ -242,5 +242,5 @@
      * @access public
      */
-    function getNextID()
+    public function getNextID()
     {
         // Loop through all steps.
@@ -263,5 +263,5 @@
      * @access public
      */
-    function complete($step_id=null)
+    public function complete($step_id=null)
     {
         $pos = isset($step_id) ? $this->getPosition($step_id) : $this->getPosition();
@@ -277,5 +277,5 @@
      * @access public
      */
-    function printEditLink($step_id=null)
+    public function printEditLink($step_id=null)
     {
 		$app =& App::getInstance();
@@ -296,5 +296,5 @@
      * @access public
      */
-    function setDataDefault($data_key, $data_val)
+    public function setDataDefault($data_key, $data_val)
     {
         if (!isset($_SESSION[$this->seq]['data'][$data_key])) {
@@ -310,5 +310,5 @@
      * @access public
      */
-    function getData($data_key=null)
+    public function getData($data_key=null)
     {
         if (!isset($data_key)) {
@@ -328,5 +328,5 @@
      * @access public
      */
-    function clearData($data_key=null)
+    public function clearData($data_key=null)
     {
         if (isset($data_key)) {
@@ -342,5 +342,5 @@
      * Deletes all data that are older than auto_timeout. Set current time if not not expired or not set.
      */
-    function _auto_timeout()
+    private function _auto_timeout()
     {
 		$app =& App::getInstance();
@@ -363,5 +363,5 @@
      * @access public
      */
-    function registerData($step_data)
+    public function registerData($step_data)
     {
         $_SESSION[$this->seq]['data'] = array_merge($_SESSION[$this->seq]['data'], $step_data);
@@ -372,5 +372,5 @@
      *
      */
-    function startOver()
+    public function startOver()
     {
         $this->current_step_id = 0;
@@ -383,3 +383,2 @@
 } // END CLASS
 
-?>
Index: /trunk/lib/PayPal.inc.php
===================================================================
--- /trunk/lib/PayPal.inc.php	(revision 467)
+++ /trunk/lib/PayPal.inc.php	(revision 468)
@@ -33,5 +33,5 @@
 
     // General object parameters.
-    var $_params = array(
+    private $_params = array(
         'paypal_url' => 'https://www.paypal.com/cgi-bin/webscr',
         'test_mode' => false,
@@ -39,11 +39,11 @@
 
     // Options used for specific buttons and links.
-    var $_default_button_options = array();
+    private $_default_button_options = array();
 
     // Array of buttons created by newButton().
-    var $_buttons = array();
+    private $_buttons = array();
 
     // Store the response from the last IPN.
-    var $_ipn_response;
+    private $_ipn_response;
 
     /**
@@ -52,5 +52,5 @@
      * @param   bool    $test_mode  Use PayPal sandbox for testing.
      */
-    function PayPal($test_mode=false)
+    public function __construct($test_mode=false)
     {
         if ($test_mode) {
@@ -95,5 +95,5 @@
      * @return  bool    True on success, false on failure.
      */
-    function setButtonDefaults($type, $options)
+    public function setButtonDefaults($type, $options)
     {
 		$app =& App::getInstance();
@@ -127,5 +127,5 @@
      * @return  bool    True on success, false on failure.
      */
-    function newButton($type, $name, $options=null)
+    public function newButton($type, $name, $options=null)
     {
 		$app =& App::getInstance();
@@ -162,5 +162,5 @@
      * @return  mixed   Link of button, or false on failure.
      */
-    function getLink($name)
+    public function getLink($name)
     {
 		$app =& App::getInstance();
@@ -196,5 +196,5 @@
      * @param   string  $name   Name of button for which to generate link.
      */
-    function printLink($name)
+    public function printLink($name)
     {
         echo $this->getLink($name);
@@ -208,5 +208,5 @@
      * @param   string  $name   Name of button to print.
      */
-    function printButton($name)
+    public function printButton($name)
     {
         ?>
@@ -234,5 +234,5 @@
      * @param  array    $params     Array of parameters (key => val pairs).
      */
-    function setParam($params)
+    public function setParam($params)
     {
 		$app =& App::getInstance();
@@ -253,5 +253,5 @@
      * @return mixed               Configured parameter value.
      */
-    function getParam($param)
+    public function getParam($param)
     {
 		$app =& App::getInstance();
@@ -272,5 +272,5 @@
      * @return  bool    True if valid, false if invalid.
      */
-    function incomingIPNRequest()
+    public function incomingIPNRequest()
     {
         if ($_SERVER['REQUEST_METHOD'] == 'POST'
@@ -290,5 +290,5 @@
      * @return  bool    True on success, false on failure.
      */
-    function processIPN()
+    public function processIPN()
     {
 		$app =& App::getInstance();
@@ -351,5 +351,5 @@
      * @return  bool    True if response contains VERIFIED, false otherwise.
      */
-    function verifiedIPN()
+    public function verifiedIPN()
     {
 		$app =& App::getInstance();
@@ -380,3 +380,2 @@
 } // End of class.
 
-?>
Index: /trunk/lib/Prefs.inc.php
===================================================================
--- /trunk/lib/Prefs.inc.php	(revision 467)
+++ /trunk/lib/Prefs.inc.php	(revision 468)
@@ -55,8 +55,8 @@
 
     // Namespace of this instance of Prefs.
-    var $_ns;
+    private $_ns;
 
     // Configuration parameters for this object.
-    var $_params = array(
+    private $_params = array(
 
         // Enable database storage. If this is false, all prefs will live only as long as the session.
@@ -80,5 +80,5 @@
      * Prefs constructor.
      */
-    function Prefs($namespace='')
+    public function __construct($namespace='')
     {
 		$app =& App::getInstance();
@@ -104,5 +104,5 @@
      * @since   04 Jun 2006 16:41:42
      */
-    function initDB($recreate_db=false)
+    public function initDB($recreate_db=false)
     {
 		$app =& App::getInstance();
@@ -142,5 +142,5 @@
      * @param  array $params   Array of param keys and values to set.
      */
-    function setParam($params=null)
+    public function setParam($params=null)
     {
         if (isset($params) && is_array($params)) {
@@ -157,5 +157,5 @@
      * @return mixed               Configured parameter value.
      */
-    function getParam($param)
+    public function getParam($param)
     {
 		$app =& App::getInstance();
@@ -176,5 +176,5 @@
      * @param  array $defaults  Array of key-value pairs
      */
-    function setDefaults($defaults)
+    public function setDefaults($defaults)
     {
         if (isset($defaults) && is_array($defaults)) {
@@ -192,5 +192,5 @@
      * @param  bool   $persistent   Save this value forever? Set to false and value will exist as long as the session is in use.
      */
-    function set($key, $val)
+    public function set($key, $val)
     {
         $app =& App::getInstance();
@@ -223,5 +223,5 @@
      * @return string           The value of the preference.
      */
-    function get($key)
+    public function get($key)
     {
         $app =& App::getInstance();
@@ -244,5 +244,5 @@
      * @return boolean          True if the preference isset and not empty false otherwise.
      */
-    function exists($key)
+    public function exists($key)
     {
         return array_key_exists($key, $_SESSION['_prefs'][$this->_ns]['saved']);
@@ -254,5 +254,5 @@
      * @param string $key       The name of the preference to delete.
      */
-    function delete($key)
+    public function delete($key)
     {
         unset($_SESSION['_prefs'][$this->_ns]['saved'][$key]);
@@ -263,5 +263,5 @@
      * as $auth->clear(), such as when logging out.
      */
-    function clear($focus='all')
+    public function clear($focus='all')
     {
         switch ($focus) {
@@ -295,5 +295,5 @@
     * @since    04 Jun 2006 16:56:53
     */
-    function load($force=false)
+    public function load($force=false)
     {
         $app =& App::getInstance();
@@ -352,5 +352,5 @@
     * @since    04 Jun 2006 17:12:44
     */
-    function _isLoaded()
+    private function _isLoaded()
     {
         if (isset($_SESSION['_prefs'][$this->_ns]['load_datetime'])
@@ -373,5 +373,5 @@
     * @since    04 Jun 2006 17:19:56
     */
-    function save()
+    public function save()
     {
         $app =& App::getInstance();
@@ -424,4 +424,2 @@
 }
 
-
-?>
Index: /trunk/lib/ScriptTimer.inc.php
===================================================================
--- /trunk/lib/ScriptTimer.inc.php	(revision 467)
+++ /trunk/lib/ScriptTimer.inc.php	(revision 468)
@@ -26,15 +26,15 @@
 class ScriptTimer {
 
-    var $time_format = '%.3f';
-    var $_timing_start_times = array();
-    var $_timing_stop_times = array();
-    var $_timing_cumulative_times = array();
+    public $time_format = '%.3f';
+    private $_timing_start_times = array();
+    private $_timing_stop_times = array();
+    private $_timing_cumulative_times = array();
     
-	function start($name='default')
+	public function start($name='default')
 	{
         $this->_timing_start_times[$name] = explode(' ', microtime());
 	}
 	
-	function stop($name='default')
+	public function stop($name='default')
 	{
 	    if (!isset($this->_timing_stop_times[$name]) || !isset($this->_timing_cumulative_times[$name])) {
@@ -46,5 +46,5 @@
 	}
 	
-	function getTime($name='default')
+	public function getTime($name='default')
 	{
         if (!isset($this->_timing_start_times[$name])) {
@@ -62,5 +62,5 @@
 	}
 	
-	function printAll($sort_by_time=false)
+	public function printAll($sort_by_time=false)
 	{
 	    $names = array_map('strlen', array_keys($this->_timing_start_times));
@@ -81,4 +81,2 @@
 	}
 }
-
-?>
Index: /trunk/lib/SortOrder.inc.php
===================================================================
--- /trunk/lib/SortOrder.inc.php	(revision 467)
+++ /trunk/lib/SortOrder.inc.php	(revision 468)
@@ -37,11 +37,11 @@
 class SortOrder {
 
-    var $_columns;
-    var $sort_by;
-    var $order;
-    var $asc_widget;
-    var $desc_widget;
-    var $default_sort;
-    var $default_order;
+    private $_columns;
+    public $sort_by;
+    public $order;
+    public $asc_widget;
+    public $desc_widget;
+    public $default_sort;
+    public $default_order;
 
     /**
@@ -53,5 +53,5 @@
      *                               current order.
      */
-    function SortOrder($default_sort = '', $default_order = '')
+    public function __construct($default_sort = '', $default_order = '')
     {
         $app =& App::getInstance();
@@ -81,5 +81,5 @@
      * @param string $desc_sql  The sort SQL if $this->order is descending.
      */
-    function setColumn($name, $asc_sql, $desc_sql)
+    public function setColumn($name, $asc_sql, $desc_sql)
     {
         $this->_columns[$name] = array(
@@ -99,5 +99,5 @@
      *                               current order.
      */
-    function setDefault($default_sort = '', $default_order = '')
+    public function setDefault($default_sort = '', $default_order = '')
     {
         // Which column to sort by?
@@ -139,5 +139,5 @@
      *                               for example, for an alphabetical sort)
      */
-    function set($sort=null, $order=null, $save_value=true)
+    public function set($sort=null, $order=null, $save_value=true)
     {
         // Set new sort value.
@@ -163,5 +163,5 @@
      * @return array    Array with keys: sort and order. These can be fed back into the SortOrder::set() method or defaults.
      */
-    function get()
+    public function get()
     {
         return array(
@@ -174,5 +174,5 @@
      * Returns the SQL code to sort by set column and set order.
      */
-    function getSortOrderSQL()
+    public function getSortOrderSQL()
     {
 		$app =& App::getInstance();
@@ -205,5 +205,5 @@
      *                               for example, for an alphabetical sort)
      */
-    function printSortHeader($col, $col_name, $default_order='ASC')
+    public function printSortHeader($col, $col_name, $default_order='ASC')
     {
 		$app =& App::getInstance();
@@ -226,3 +226,2 @@
 }
 
-?>
Index: /trunk/lib/SpellCheck.inc.php
===================================================================
--- /trunk/lib/SpellCheck.inc.php	(revision 467)
+++ /trunk/lib/SpellCheck.inc.php	(revision 468)
@@ -61,5 +61,5 @@
 class SpellCheck {
 
-    var $_params = array(
+    private $_params = array(
         'language' => 'en',
         'personal_wordlist' => '', // Text file to save custom words to.
@@ -70,8 +70,8 @@
     );
 
-    var $_pspell_cfg_handle;
-    var $_pspell_handle;
-    var $_use_personal_wordlist = false;
-    var $_errors = array();
+    private $_pspell_cfg_handle;
+    private $_pspell_handle;
+    private $_use_personal_wordlist = false;
+    private $_errors = array();
 
     /**
@@ -80,5 +80,5 @@
      * @param  array    $params     Array of parameters (key => val pairs).
      */
-    function SpellCheck($params)
+    public function __construct($params)
     {
 		$app =& App::getInstance();
@@ -118,5 +118,5 @@
      * @param  array    $params     Array of parameters (key => val pairs).
      */
-    function setParam($params)
+    public function setParam($params)
     {
 		$app =& App::getInstance();
@@ -137,5 +137,5 @@
      * @return mixed               Configured parameter value.
      */
-    function getParam($param)
+    public function getParam($param)
     {
 		$app =& App::getInstance();
@@ -154,5 +154,5 @@
      * @return bool   True if any errors were found, false otherwise.
      */
-    function anyErrors()
+    public function anyErrors()
     {
         return (sizeof($this->_errors) > 0);
@@ -162,5 +162,5 @@
      * Reset the error list.
      */
-    function resetErrorList()
+    public function resetErrorList()
     {
         $this->_errors = array();
@@ -177,5 +177,5 @@
      * @since   09 Jun 2005 18:23:51
      */
-    function check($word)
+    public function check($word)
     {
         if (pspell_check($this->_pspell_handle, $word)) {
@@ -197,5 +197,5 @@
      * @since   09 Jun 2005 18:23:51
      */
-    function suggest($word)
+    public function suggest($word)
     {
         return pspell_suggest($this->_pspell_handle, $word);
@@ -212,5 +212,5 @@
      * @since   09 Jun 2005 18:23:51
      */
-    function add($word)
+    public function add($word)
     {
 		$app =& App::getInstance();
@@ -237,5 +237,5 @@
      * @since   09 Jun 2005 18:23:51
      */
-    function save()
+    public function save()
     {
 		$app =& App::getInstance();
@@ -263,5 +263,5 @@
      * @since   09 Jun 2005 21:29:49
      */
-    function getStringSuggestions($string)
+    public function getStringSuggestions($string)
     {
         $corrections = array();
@@ -299,5 +299,5 @@
      * @since   09 Jun 2005 22:11:27
      */
-    function checkString($string)
+    public function checkString($string)
     {
         $errors = array();
@@ -331,5 +331,5 @@
      * @since   09 Jun 2005 21:29:49
      */
-    function getStringHighlighted($string, $show_footnote=false)
+    public function getStringHighlighted($string, $show_footnote=false)
     {
         $words = preg_split('/([\W]+?)/', $string, -1, PREG_SPLIT_DELIM_CAPTURE);
@@ -357,5 +357,5 @@
      * @since   09 Jun 2005 21:29:49
      */
-    function printCorrectionForm($form_name)
+    public function printCorrectionForm($form_name)
     {
         ?>
@@ -402,5 +402,5 @@
      * @since   09 Jun 2005 23:15:35
      */
-    function anyFormCorrections()
+    public function anyFormCorrections()
     {
         return (false !== getFormData('spelling_suggestions', false)) || (false !== getFormData('spelling_corrections', false));
@@ -417,5 +417,5 @@
      * @since   09 Jun 2005 23:18:51
      */
-    function applyFormCorrections($form_name)
+    public function applyFormCorrections($form_name)
     {
         $form_words = preg_split('/([\W]+?)/', getFormData($form_name), -1, PREG_SPLIT_DELIM_CAPTURE);
@@ -445,3 +445,2 @@
 } // End.
 
-?>
Index: /trunk/lib/TemplateGlue.inc.php
===================================================================
--- /trunk/lib/TemplateGlue.inc.php	(revision 467)
+++ /trunk/lib/TemplateGlue.inc.php	(revision 468)
@@ -4,5 +4,5 @@
  * For details visit the project site: <http://trac.strangecode.com/codebase/>
  * Copyright 2001-2012 Strangecode, LLC
- * 
+ *
  * This file is part of The Strangecode Codebase.
  *
@@ -11,10 +11,10 @@
  * Free Software Foundation, either version 3 of the License, or (at your option)
  * any later version.
- * 
+ *
  * The Strangecode Codebase is distributed in the hope that it will be useful, but
  * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
  * FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
  * details.
- * 
+ *
  * You should have received a copy of the GNU General Public License along with
  * The Strangecode Codebase. If not, see <http://www.gnu.org/licenses/>.
@@ -24,17 +24,4 @@
  * TemplateGlue.inc.php
  */
-
-/**
- * Print URL to download file with BBEdit/Interarchy. "USER" must be a pre-set
- * environment variable. Files must reside within and be relative to env "DOCUMENT_ROOT".
- *
- * @access  public
- * @param   mixed   $file   File path relative to DOCUMENT_ROOT (i.e. '/_templates/index.ihtml').
- * @return  string  <a> with file basename as text.
- */
-function bbftp($file)
-{
-    return sprintf('<a href="bbftp://%s@%s:%s%s" title="%s" style="text-decoration: none; border-bottom: blue 1px dotted;">%s</a>', $_SERVER['USER'], $_SERVER['HTTP_HOST'], $_SERVER['DOCUMENT_ROOT'], $file, $file, basename($file));
-}
 
 /**
@@ -89,5 +76,5 @@
 	$app =& App::getInstance();
 	$db =& DB::getInstance();
-	
+
     $qid = $db->query("SHOW COLUMNS FROM " . $db->escapeString($db_table) . " LIKE '" . $db->escapeString($db_col) . "'",false);
 
@@ -95,5 +82,5 @@
     if (preg_match('/^enum|^set/i', $row[1]) && preg_match_all("/'([^']*)'/", $row[1], $enum)) {
         if ($sort) {
-            natsort($enum[1]);            
+            natsort($enum[1]);
         }
         return $enum[1];
@@ -329,5 +316,5 @@
 {
 	$db =& DB::getInstance();
-	
+
     // Sometimes preselected comes as a comma list.
     if (!is_array($preselected)) {
@@ -373,5 +360,5 @@
 {
 	$db =& DB::getInstance();
-	
+
     // Sometimes preselected comes as a comma list.
     if (!is_array($preselected)) {
@@ -501,4 +488,2 @@
     }
 }
-
-?>
Index: /trunk/lib/Utilities.inc.php
===================================================================
--- /trunk/lib/Utilities.inc.php	(revision 467)
+++ /trunk/lib/Utilities.inc.php	(revision 468)
@@ -950,5 +950,5 @@
 
 	$add_members = '/usr/lib/mailman/bin/add_members';
-    /// FIXME: checking of executable is disabled.
+    // FIXME: checking of executable is disabled.
     if (true || is_executable($add_members) && is_readable($add_members)) {
         $welcome_msg = $send_welcome_message ? 'y' : 'n';
@@ -982,5 +982,5 @@
 
     $remove_members = '/usr/lib/mailman/bin/remove_members';
-    /// FIXME: checking of executable is disabled.
+    // FIXME: checking of executable is disabled.
     if (true || is_executable($remove_members) && is_readable($remove_members)) {
         $userack = $send_user_ack ? '' : '--nouserack';
@@ -1120,4 +1120,2 @@
     }
 }
-
-?>
